{
	"$schema": "https://schemas.wp.org/trunk/block.json",
	"apiVersion": 3,
	"name": "wpuf-ud/contact",
	"title": "WPUF - User Contact Info",
	"category": "wpuf-ud",
	"description": "Display user contact information with various display options.",
	"keywords": [ "contact", "user", "profile", "email", "phone", "website" ],
	"textdomain": "wpuf-pro",
	"attributes": {
		"align": {
			"type": "string"
		},
		"showFields": {
			"type": "array",
			"default": ["all"]
		},
		"layoutStyle": {
			"type": "string",
			"default": "list"
		},
		"showIcons": {
			"type": "boolean",
			"default": true
		},
		"iconSize": {
			"type": "string",
			"default": "medium"
		},
		"showLabels": {
			"type": "boolean",
			"default": true
		},
		"emailLink": {
			"type": "boolean",
			"default": true
		},
		"websiteLink": {
			"type": "boolean",
			"default": true
		},
		"phoneLink": {
			"type": "boolean",
			"default": true
		},
		"iconColor": {
			"type": "string",
			"default": "#000"
		}
	},
	"usesContext": [ "wpuf-ud/userObject" ],
	"supports": {
		"html": false,
		"align": true,
		"alignWide": false,
		"spacing": {
			"margin": true,
			"padding": true
		},
    "color": {
      "gradients": true,
      "link": true,
      "text": true,
      "background": true,
      "__experimentalDefaultControls": {
        "background": true,
        "text": true
      }
    },
    "typography": {
      "fontSize": true,
      "lineHeight": true,
      "textAlign": true,
      "__experimentalFontFamily": true,
      "__experimentalFontStyle": true,
      "__experimentalFontWeight": true,
      "__experimentalLetterSpacing": true,
      "__experimentalTextTransform": true,
      "__experimentalTextDecoration": true
    }
	},
	"example": {
		"attributes": {
			"showFields": "all",
			"layoutStyle": "list"
		}
	}
}
